Search documentation of wx

# View Source wxNavigationKeyEvent (wx v2.4.2)

Functions for wxNavigationKeyEvent class

This event class contains information about navigation events, generated by navigation keys such as tab and page down.

This event is mainly used by wxWidgets implementations. A `wxNavigationKeyEvent` handler is automatically provided by wxWidgets when you enable keyboard navigation inside a window by inheriting it from wxNavigationEnabled<>.

See: `wxWindow:navigate/2`, `wxWindow::NavigateIn` (not implemented in wx)

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxNavigationKeyEvent

## Events

Use `wxEvtHandler:connect/3` with `wxNavigationKeyEventType` to subscribe to events of this type.

# Summary

## Types

wxNavigationKey()
wxNavigationKeyEvent()
wxNavigationKeyEventType()

## Functions

getCurrentFocus(This)

Returns the child that has the focus, or NULL.

getDirection(This)

Returns true if the navigation was in the forward direction.

isFromTab(This)

Returns true if the navigation event was from a tab key.

isWindowChange(This)

Returns true if the navigation event represents a window change (for example, from Ctrl-Page Down in a notebook).

setCurrentFocus(This, CurrentFocus)

Sets the current focus window member.

setDirection(This, Direction)

Sets the direction to forward if `direction` is true, or backward if false.

setFromTab(This, FromTab)

Marks the navigation event as from a tab key.

setWindowChange(This, WindowChange)

Marks the event as a window change event.

# Types

Link to this type

# wxNavigationKey()

View Source

    -type wxNavigationKey() ::
              #wxNavigationKey{type :: wxNavigationKeyEvent:wxNavigationKeyEventType(),
                               dir :: boolean(),
                               focus :: wxWindow:wxWindow()}.

Link to this type

# wxNavigationKeyEvent()

View Source

    -type wxNavigationKeyEvent() :: wx:wx_object().

Link to this type

# wxNavigationKeyEventType()

View Source

    -type wxNavigationKeyEventType() :: navigation_key.

# Functions

Link to this function

# getCurrentFocus(This)

View Source

    -spec getCurrentFocus(This) -> wxWindow:wxWindow() when This :: wxNavigationKeyEvent().

Returns the child that has the focus, or NULL.

Link to this function

# getDirection(This)

View Source

    -spec getDirection(This) -> boolean() when This :: wxNavigationKeyEvent().

Returns true if the navigation was in the forward direction.

Link to this function

# isFromTab(This)

View Source

    -spec isFromTab(This) -> boolean() when This :: wxNavigationKeyEvent().

Returns true if the navigation event was from a tab key.

This is required for proper navigation over radio buttons.

Link to this function

# isWindowChange(This)

View Source

    -spec isWindowChange(This) -> boolean() when This :: wxNavigationKeyEvent().

Returns true if the navigation event represents a window change (for example, from Ctrl-Page Down in a notebook).

Link to this function

# setCurrentFocus(This, CurrentFocus)

View Source

    -spec setCurrentFocus(This, CurrentFocus) -> ok
                             when This :: wxNavigationKeyEvent(), CurrentFocus :: wxWindow:wxWindow().

Sets the current focus window member.

Link to this function

# setDirection(This, Direction)

View Source

    -spec setDirection(This, Direction) -> ok when This :: wxNavigationKeyEvent(), Direction :: boolean().

Sets the direction to forward if `direction` is true, or backward if false.

Link to this function

# setFromTab(This, FromTab)

View Source

    -spec setFromTab(This, FromTab) -> ok when This :: wxNavigationKeyEvent(), FromTab :: boolean().

Marks the navigation event as from a tab key.

Link to this function

# setWindowChange(This, WindowChange)

View Source

    -spec setWindowChange(This, WindowChange) -> ok
                             when This :: wxNavigationKeyEvent(), WindowChange :: boolean().

Marks the event as a window change event.